Bug 448792 - Password changes doesn't get replicated from FDS to AD when using ipa-pwd-extop
Password changes doesn't get replicated from FDS to AD when using ipa-pwd-extop
Status: CLOSED ERRATA
Product: freeIPA
Classification: Community
Component: ipa-server (Show other bugs)
1.0
All Linux
high Severity low
: ---
: ---
Assigned To: Simo Sorce
Orla Hegarty
:
Depends On:
Blocks: 429034
  Show dependency treegraph
 
Reported: 2008-05-28 16:12 EDT by Loris Santamaria
Modified: 2012-03-27 03:18 EDT (History)
2 users (show)

See Also:
Fixed In Version: freeipa-2.0.0-1.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Make IPA -> AD pass sync work again (1.70 KB, patch)
2008-05-29 15:23 EDT, Simo Sorce
no flags Details | Diff

  None (edit)
Description Loris Santamaria 2008-05-28 16:12:34 EDT
Description of problem:

When using a password change plugin on FDS like ipa-pwd-extop from the freeipa
project, password changes are not replicated from FDS to AD 

NOTE: If I change the userPassword field using ldapmodify then the change is
correctly replicated to AD, but ipa-pwd-extop never gets triggered so samba and
kerberos password get out of sync

How reproducible:

Always

Steps to Reproduce:

Change a password on FDS using ipa-passwd, or kpasswd or ldappasswd

Actual results:

Password change is not replicated to AD

Expected results:

Password change should be replicated to Active Directory
Comment 1 Simo Sorce 2008-05-29 15:23:23 EDT
Created attachment 307125 [details]
Make IPA -> AD pass sync work again

The attached patch should allow FDS to properly sync passwords again
Comment 2 Yi Zhang 2008-12-04 18:59:00 EST
verified and re-verified with different builds.

bug closed


The latest one used is 12-04-2008 daily build



server32[12/04/08 15:54]~> rpm -qi ipa-server
Name        : ipa-server                   Relocations: (not relocatable)
Version     : 1.1.0                             Vendor: Red Hat, Inc.
Release     : 7.2.el5ipa                    Build Date: Thu 04 Dec 2008 01:12:13 PM PST
Install Date: Thu 04 Dec 2008 02:45:41 PM PST      Build Host: hs20-bc1-2.build.redhat.com
Group       : System Environment/Base       Source RPM: ipa-1.1.0-7.2.el5ipa.src.rpm
Size        : 1935947                          License: GPLv2
Signature   : (none)
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
URL         : http://www.freeipa.org/
Summary     : The IPA authentication server
Description :
IPA is an integrated solution to provide centrally managed Identity (machine,
user, virtual machines, groups, authentication credentials), Policy
(configuration settings, access control information) and Audit (events,
logs, analysis thereof). If you are installing an IPA server you need
to install this package (in other words, most people should NOT install
this package).

Note You need to log in before you can comment on or make changes to this bug.